<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
<!ENTITY egrave "&#232;">
<!ENTITY euro "&#8364;">
<!ENTITY agrave "&#224;">
<!ENTITY eacute "&#233;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.xemelios.org/namespaces#cg-1.0" xmlns:n="http://www.xemelios.org/namespaces#cg-1.0" version="2.0">
    <!-- Paramtres de sortie -->
    <xsl:character-map name="accents">
        <xsl:output-character character="" string="&amp;#224;"/>
        <xsl:output-character character="" string="&amp;#233;"/>
        <xsl:output-character character="" string="&amp;#232;"/>
        <xsl:output-character character="" string="&amp;#234;"/>
        <xsl:output-character character="" string="&amp;#235;"/>
        <xsl:output-character character="" string="&amp;#238;"/>
        <xsl:output-character character="" string="&amp;#239;"/>
        <xsl:output-character character="" string="&amp;#244;"/>
        <xsl:output-character character="" string="&amp;#249;"/>
    </xsl:character-map>
    <xsl:output method="xhtml" indent="yes" use-character-maps="accents" encoding="ISO-8859-1"/>
    <xsl:decimal-format name="decformat" decimal-separator="," grouping-separator=" " digit="#" pattern-separator=";" NaN="NaN" minus-sign="-"/>
    
    <!-- Inclusion des XSL externes -->
    <xsl:include href="./common-xsl/Style.xsl"/>
    <xsl:include href="./common-xsl/Error.xsl"/>
    <xsl:include href="./common-xsl/Navigate.xsl"/>
    <xsl:include href="./common-xsl/Header.xsl"/>
    <xsl:include href="./common-xsl/Number.xsl"/>
    
    <!-- Paramtres d'entre -->
    <xsl:param name="show.formulaire"/>
    <xsl:param name="browser-destination"/>
    
    <!-- Paramtres d'entre de la liste de rsultat -->
    <xsl:param name="numCompte">0</xsl:param>
    
    <!-- Paramtres d'erreur -->
    <xsl:param name="error.message">nomessage</xsl:param>
    
    <!-- Variables -->
    <xsl:variable name="page-format" select="paysage"/>
    <xsl:variable name="NumPage" select="/n:CompteGestion/n:EtatRealisationOperations/n:PageEtatRealisationOperations/n:Pied/@NumPage"/>
    <xsl:variable name="Entete">
        <xsl:copy-of select="/n:CompteGestion/n:Entete"/>
    </xsl:variable>    
    
    <!-- pour eviter les sorties parasites de tags non matches -->
    <xsl:template match="*"/>
    
    <xsl:template match="/n:CompteGestion">
        <html>
            <head>
                <title>Etat de r&#233;alisation des op&#233;rations</title>
                <xsl:call-template name="style"/>
            </head>
            <body width="100%">
               <xsl:if test="$error.message!='nomessage'">
                    <xsl:attribute name="onload">javascript:showDialog('<xsl:value-of select="$error.message"/>');</xsl:attribute>
                </xsl:if>
                <xsl:call-template name="Error"><!--xsl:with-param name="error.message" select="$error.message"/--></xsl:call-template>
                <xsl:call-template name="navigate">
                    <xsl:with-param name="docId">compteGestion</xsl:with-param>
                    <xsl:with-param name="etatId">EtatRealisationOperations</xsl:with-param>
                    <xsl:with-param name="elementId">PageEtatRealisationOperations</xsl:with-param>
                    <xsl:with-param name="sous.elementId">LigneEtatRealisationOperations</xsl:with-param>
                    <xsl:with-param name="NumPage" select="$NumPage"/>
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="show.formulaire" select="$show.formulaire"/>
                    <xsl:with-param name="show.depense.recette" select="0"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="header">
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="Titre.Plus">
                        <h1>Etat de r&eacute;alisation des op&eacute;rations</h1>
                        <h2><xsl:value-of select="//n:EnteteEtatRealisationOperations/@Section"/></h2>
                        <h3><xsl:value-of select="//n:EnteteEtatRealisationOperations/@NatureOperation"/></h3>
                    </xsl:with-param>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="mainTable">
                    <xsl:with-param name="el" select="/n:CompteGestion/n:EtatRealisationOperations/n:PageEtatRealisationOperations"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <p>
                    <center>Page - <xsl:value-of select="$NumPage"/></center>
                </p>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template name="mainTable">
        <xsl:param name="el" />
        
        <table width="100%" class="bordered" id="main">
            <colgroup>
                <col width="20%"/>
                <col width="20%"/>
                <col width="20%"/>
                <col width="20%"/>
                <col width="20%"/>
            </colgroup>
            <thead>
                <tr class="titre">
                    <td class="titre bold center bordered">N chapitre<br/>et article</td>
                    <td class="titre bold center bordered">Intitul</td>
                    <td class="titre bold center bordered">Emission<br/>1</td>
                    <td class="titre bold center bordered">Annulations<br/>2</td>
                    <td class="titre bold center bordered"><xsl:choose><xsl:when test="contains(upper-case(//n:EnteteEtatRealisationOperations/@NatureOperation),'DEPENSE')">D&#233;penses</xsl:when><xsl:otherwise>Recettes</xsl:otherwise></xsl:choose> nettes<br/>3 = 1 - 2</td>
                </tr>
            </thead>
            <tbody>
                <xsl:for-each select="$el/n:LigneEtatRealisationOperations">
                    <tr>
                        <xsl:choose>
                            <xsl:when test="$numCompte != '0' and @NumCompte=$numCompte">
                                <xsl:attribute name="id">highlighted</xsl:attribute>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:choose>
                                    <xsl:when test="(position() mod 2) = 0">
                                        <xsl:attribute name="id">colorised1</xsl:attribute>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:attribute name="id">colorised2</xsl:attribute>
                                    </xsl:otherwise>
                                </xsl:choose>
                            </xsl:otherwise>
                        </xsl:choose>
                        <xsl:choose>
                            <xsl:when test="contains(lower-case(@NumCompte),'total') and contains(lower-case(@NumCompte),'sous')">
                                <td class="right bold bordureRight"><xsl:value-of select="@NumCompte"/></td>
                                <td class="bold bordureRight"><xsl:value-of select="@IntituleArticleChapitre"/></td>
                                <td class="montant bold bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@EmissionArtChapTotal"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bold bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@AnnulationArtChapTotal"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bold bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@DepenseRecetteNetArtChapTotal"/>
                                    </xsl:call-template>
                                </td>
                            </xsl:when> 
                            <xsl:when test="contains(lower-case(@NumCompte),'total') and not(contains(lower-case(@NumCompte),'sous')) or contains(lower-case(@IntituleArticleChapitre),'total')">
                                <td class="right bold bordered"><xsl:value-of select="@NumCompte"/></td>
                                <td class="bold bordered"><xsl:value-of select="@IntituleArticleChapitre"/></td>
                                <td class="montant bold bordered">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@EmissionArtChapTotal"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bold bordered">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@AnnulationArtChapTotal"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bold bordered">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@DepenseRecetteNetArtChapTotal"/>
                                    </xsl:call-template>
                                </td>
                            </xsl:when>
                            <xsl:otherwise>
                                <td class="center bordureRight"><xsl:value-of select="@NumCompte"/></td>
                                <td class="bordureRight"><xsl:value-of select="@IntituleArticleChapitre"/></td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@EmissionArtChapTotal"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@AnnulationArtChapTotal"/>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num" select="@DepenseRecetteNetArtChapTotal"/>
                                    </xsl:call-template>
                                </td>
                            </xsl:otherwise>
                            </xsl:choose>
                    </tr>
                </xsl:for-each>
            </tbody>    
        </table>
    </xsl:template>

</xsl:stylesheet>
