<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
<!ENTITY egrave "&#232;">
<!ENTITY euro "&#8364;">
<!ENTITY agrave "&#224;">
<!ENTITY eacute "&#233;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.xemelios.org/namespaces#cg-1.0" xmlns:n="http://www.xemelios.org/namespaces#cg-1.0" version="2.0">
    <!-- Paramtres de sortie -->
    <xsl:character-map name="accents">
        <xsl:output-character character="" string="&amp;#224;"/>
        <xsl:output-character character="" string="&amp;#233;"/>
        <xsl:output-character character="" string="&amp;#232;"/>
        <xsl:output-character character="" string="&amp;#234;"/>
        <xsl:output-character character="" string="&amp;#235;"/>
        <xsl:output-character character="" string="&amp;#238;"/>
        <xsl:output-character character="" string="&amp;#239;"/>
        <xsl:output-character character="" string="&amp;#244;"/>
        <xsl:output-character character="" string="&amp;#249;"/>
    </xsl:character-map>
    <xsl:output method="xhtml" indent="yes" use-character-maps="accents" encoding="ISO-8859-1"/>
    <xsl:decimal-format name="decformat" decimal-separator="," grouping-separator=" " digit="#" pattern-separator=";" NaN="NaN" minus-sign="-"/>
    
    <!-- Inclusion des XSL externes -->
    <xsl:include href="./common-xsl/Style.xsl"/>
    <xsl:include href="./common-xsl/Error.xsl"/>
    <xsl:include href="./common-xsl/Navigate.xsl"/>
    <xsl:include href="./common-xsl/Header.xsl"/>
    <xsl:include href="./common-xsl/Number.xsl"/>
    
    <!-- Paramtres d'entre -->
    <xsl:param name="show.formulaire"/>
    <xsl:param name="browser-destination"/>
    
    <!-- Paramtres d'entre de la liste de rsultat -->
    <xsl:param name="numCompte">0</xsl:param>
    
    <!-- Paramtres d'erreur -->
    <xsl:param name="error.message">nomessage</xsl:param>
    
    <!-- Variables -->
    <xsl:variable name="page-format" select="paysage"/>
    <xsl:variable name="NumPage" select="/n:CompteGestion/n:ResultatBudgetaire/n:PageResultatBudgetaire/n:Pied/@NumPage"/>
    <xsl:variable name="Entete">
        <xsl:copy-of select="/n:CompteGestion/n:Entete"/>
    </xsl:variable>    
    
    <!-- pour eviter les sorties parasites de tags non matches -->
    <xsl:template match="*"/>
    
    <xsl:template match="/n:CompteGestion">
        <html>
            <head>
                <title>R&#233;sultats budg&#233;taires de l'exercice</title>
                <xsl:call-template name="style"/>
            </head>
            <body width="100%">
               <xsl:if test="$error.message!='nomessage'">
                    <xsl:attribute name="onload">javascript:showDialog('<xsl:value-of select="$error.message"/>');</xsl:attribute>
                </xsl:if>
                <xsl:call-template name="Error"><!--xsl:with-param name="error.message" select="$error.message"/--></xsl:call-template>
                <xsl:call-template name="navigate">
                    <xsl:with-param name="docId">compteGestion</xsl:with-param>
                    <xsl:with-param name="etatId">ResultatBudgetaire</xsl:with-param>
                    <xsl:with-param name="elementId">PageResultatBudgetaire</xsl:with-param>
                    <xsl:with-param name="sous.elementId">LigneResultatBudgetaire</xsl:with-param>
                    <xsl:with-param name="NumPage" select="$NumPage"/>
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="show.formulaire" select="$show.formulaire"/>
                    <xsl:with-param name="show.depense.recette" select="0"/>
                    <xsl:with-param name="show.formulaire.compte" select="0"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="header">
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="Titre">Rsultats budgtaires de l'exercice</xsl:with-param>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="mainTable">
                    <xsl:with-param name="el" select="/n:CompteGestion/n:ResultatBudgetaire/n:PageResultatBudgetaire"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <p>
                    <center>Page - <xsl:value-of select="$NumPage"/></center>
                </p>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template name="mainTable">
        <xsl:param name="el" />
        <table width="100%" class="bordered" id="main">
            <colgroup>
                <col width="25%"/>
                <col width="25%"/>
                <col width="25%"/>
                <col width="25%"/>
            </colgroup>
            <thead>
                <tr class="titre">
                    <td class="titre bold center bordered">&nbsp;</td>
                    <td class="titre bold center bordered">SECTION D'INVESTISSEMENT</td>
                    <td class="titre bold center bordered">SECTION DE FONCTIONNEMENT</td>
                    <td class="titre bold center bordered">TOTAL DES SECTIONS</td>
                </tr>
            </thead>
            <tbody>
                <tr> 
                    <td colspan="4" class="titre2 bold left bordered" >RECETTES</td>
                </tr>
                <tr>
                    <xsl:choose>
                        <xsl:when test="$numCompte != '0' and @NumCompte=$numCompte">
                            <xsl:attribute name="id">highlighted</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:attribute name="id">colorised1</xsl:attribute>
                        </xsl:otherwise>
                    </xsl:choose>
                    <td class= "left bordureRight">Prvisions budgtaires totales (a)</td>
                    <td class="montant bordureRight">                        
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@PrevBudInvestissement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@PrevBudFonctionnement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@PrevBudTotal"/>
                        </xsl:call-template><br />
                    </td>
                </tr>
                <tr>
                    <xsl:choose>
                        <xsl:when test="$numCompte != '0' and @NumCompte=$numCompte">
                            <xsl:attribute name="id">highlighted</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:attribute name="id">colorised2</xsl:attribute>
                        </xsl:otherwise>
                    </xsl:choose>
                    <td class= "left bordureRight">Titres de recette mis (b)</td>
                    <td class="montant bordureRight">                        
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@TitreRecetteInvestissement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@TitreRecetteFonctionnement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@TitreRecetteTotal"/>
                        </xsl:call-template><br />
                    </td>
                </tr>
                <tr>
                    <xsl:choose>
                        <xsl:when test="$numCompte != '0' and @NumCompte=$numCompte">
                            <xsl:attribute name="id">highlighted</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:attribute name="id">colorised1</xsl:attribute>
                        </xsl:otherwise>
                    </xsl:choose>
                    <td class= "left bordureRight">Rductions de titres (c)</td>
                    <td class="montant bordureRight">                        
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@TitreReducInvestissement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@TitreReducFonctionnement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@TitreReducTotal"/>
                        </xsl:call-template><br />
                    </td>
                </tr>
                <tr>
                    <xsl:choose>
                        <xsl:when test="$numCompte != '0' and @NumCompte=$numCompte">
                            <xsl:attribute name="id">highlighted</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:attribute name="id">colorised2</xsl:attribute>
                        </xsl:otherwise>
                    </xsl:choose>
                    <td class= "left bordureRight">Recettes nettes (d = b - c)</td>
                    <td class="montant bordureRight">                        
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@RecetteNetteInvestissement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@RecetteNetteFonctionnement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@RecetteNetteTotal"/>
                        </xsl:call-template><br />
                    </td>
                </tr>
                <tr> 
                    <td colspan="4" class="titre2 bold left bordered" >DEPENSES</td>
                </tr>
                <tr>
                    <xsl:choose>
                        <xsl:when test="$numCompte != '0' and @NumCompte=$numCompte">
                            <xsl:attribute name="id">highlighted</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:attribute name="id">colorised1</xsl:attribute>
                        </xsl:otherwise>
                    </xsl:choose>
                    <td class= "left bordureRight">Autorisations budgtaires totales (e)</td>
                    <td class="montant bordureRight">                        
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@AutorisationBudInvestissement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@AutorisationBudFonctionnement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@AutorisationBudTotal"/>
                        </xsl:call-template><br />
                    </td>
                </tr>
                <tr>
                    <xsl:choose>
                        <xsl:when test="$numCompte != '0' and @NumCompte=$numCompte">
                            <xsl:attribute name="id">highlighted</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:attribute name="id">colorised2</xsl:attribute>
                        </xsl:otherwise>
                    </xsl:choose>
                    <td class= "left bordureRight">Mandats mis (f)</td>
                    <td class="montant bordureRight">                        
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@MandatEmisInvestissement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@MandatEmisFonctionnement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@MandatEmisTotal"/>
                        </xsl:call-template><br />
                    </td>
                </tr>
                <tr>
                    <xsl:choose>
                        <xsl:when test="$numCompte != '0' and @NumCompte=$numCompte">
                            <xsl:attribute name="id">highlighted</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:attribute name="id">colorised1</xsl:attribute>
                        </xsl:otherwise>
                    </xsl:choose>
                    <td class= "left bordureRight">Annulations de mandats (g)</td>
                    <td class="montant bordureRight">                        
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@AnnulationMandatInvestissement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@AnnulationMandatFonctionnement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@AnnulationMandatTotal"/>
                        </xsl:call-template><br />
                    </td>
                </tr>
                <tr>
                    <xsl:choose>
                        <xsl:when test="$numCompte != '0' and @NumCompte=$numCompte">
                            <xsl:attribute name="id">highlighted</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:attribute name="id">colorised2</xsl:attribute>
                        </xsl:otherwise>
                    </xsl:choose>
                    <td class= "left bordureRight">Depenses nettes (h = f - g)</td>
                    <td class="montant bordureRight">                        
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@DepenseNetteInvestissement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@DepenseNetteFonctionnement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@DepenseNetteTotal"/>
                        </xsl:call-template><br />
                    </td>
                </tr>
                <tr> 
                    <td colspan="4" class="titre2 bold left bordered" >RESULTAT DE L'EXERCICE</td>
                </tr>
                <tr>
                    <xsl:choose>
                        <xsl:when test="$numCompte != '0' and @NumCompte=$numCompte">
                            <xsl:attribute name="id">highlighted</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:attribute name="id">colorised1</xsl:attribute>
                        </xsl:otherwise>
                    </xsl:choose>
                    <td class= "left bordureRight">(d - h) Excdent</td>
                    <td class="montant bordureRight">                        
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@ExcedentInvestissement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@ExcedentFonctionnement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@ExcedentTotal"/>
                        </xsl:call-template><br />
                    </td>
                </tr>
                <tr>
                    <xsl:choose>
                        <xsl:when test="$numCompte != '0' and @NumCompte=$numCompte">
                            <xsl:attribute name="id">highlighted</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:attribute name="id">colorised2</xsl:attribute>
                        </xsl:otherwise>
                    </xsl:choose>
                    <td class= "left bordureRight">(h - d) Dficit</td>
                    <td class="montant bordureRight">                        
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@DeficitInvestissement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@DeficitFonctionnement"/>
                        </xsl:call-template>
                    </td>
                    <td class="montant bordureRight">
                        <xsl:call-template name="number">
                            <xsl:with-param name="num" select="$el/n:LigneResultatBudgetaire/@DeficitTotal"/>
                        </xsl:call-template><br />
                    </td>
                </tr>
            </tbody> 
        </table>
    </xsl:template>
    
</xsl:stylesheet>
